| AAX SDK 2.6.1 Avid Audio Extensions Development Kit

- Welcome
- Manual
- Classes
- Files
- Lists
- Support

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
List of all members | Public Member Functions
AAX_IACFHostProcessorDelegate Class Referenceabstract

`#include <AAX_IACFHostProcessorDelegate.h>`

Inheritance diagram for AAX_IACFHostProcessorDelegate:
[legend]
Collaboration diagram for AAX_IACFHostProcessorDelegate:
[legend]

## Description

Versioned interface for host methods specific to offline processing.

## Public Member Functions
virtual AAX_Result | GetAudio (const float *const inAudioIns[], int32_t inAudioInCount, int64_t inLocation, int32_t *ioNumSamples)=0
| CALL: Randomly access audio from the timeline.
virtual int32_t | GetSideChainInputNum ()=0
| CALL: Returns the index of the side chain input buffer.
Public Member Functions inherited from IACFUnknown
virtual BEGIN_ACFINTERFACE ACFRESULT ACFMETHODCALLTYPE | QueryInterface (const acfIID &iid, void **ppOut)=0
| Returns pointers to supported interfaces.
virtual acfUInt32 ACFMETHODCALLTYPE | AddRef (void)=0
| Increments reference count.
virtual acfUInt32 ACFMETHODCALLTYPE | Release (void)=0
| Decrements reference count.

## Member Function Documentation

## ◆ GetAudio()

virtual AAX_Result AAX_IACFHostProcessorDelegate::GetAudio | ( | const float *const | inAudioIns[],
|  | int32_t | inAudioInCount,
|  | int64_t | inLocation,
|  | int32_t * | ioNumSamples
| ) |  |
| pure virtual

CALL: Randomly access audio from the timeline.

Called from within AAX_IHostProcessor::RenderAudio(), this method fills a buffer of samples with randomly-accessed data from the current input processing region on the timeline, including any extra samples such as processing "handles".

Note
  Plug-ins that use this feature must set AAX_eProperty_UsesRandomAccess to `true`
  It is not possible to retrieve samples from outside of the current input processing region
  Always check the return value of this method before using the randomly-accessed samples

Parameters

  [in] | inAudioIns | Timeline audio buffer(s). This must be set to `inAudioIns` from AAX_IHostProcessor::RenderAudio()
  [in] | inAudioInCount | Number of buffers in `inAudioIns`. This must be set to `inAudioInCount` from AAX_IHostProcessor::RenderAudio()
  [in] | inLocation | A sample location relative to the beginning of the currently processed region, e.g. a value of 0 corresponds to the timeline location returned by AAX_CHostProcessor::GetSrcStart()
  [in,out] | ioNumSamples | Input: The maximum number of samples to read. Output: The actual number of samples that were read from the timeline

## ◆ GetSideChainInputNum()

virtual int32_t AAX_IACFHostProcessorDelegate::GetSideChainInputNum | ( |  | ) |
| pure virtual

CALL: Returns the index of the side chain input buffer.

Called from within AAX_IHostProcessor::RenderAudio(), this method returns the index of the side chain input sample buffer within `inAudioIns`.

The documentation for this class was generated from the following file:

- AAX_IACFHostProcessorDelegate.h